eclipse.exe is not a valid Win32 application

Recently, I have downloaded the eclipse IDE for Java EE Developers package from

https://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/lunar

I have downloaded the Eclipse’s Windows 64-bit package version as I have windows XP operating system with x86 processor.  In Eclipse website, they provide 32 bit and 64 bit version of eclipse packages.  I am not sure which one to download.  I blindly downloaded 64 bit eclipse package and unzipped in my machine.

When I try to run the eclipse.exe, I got an error message “eclipse.exe is not a valid Win32 application”.

It means that the eclipse instance’s bit version does not match with the installed JVM’s bit version. To resolve this issue, we need to identify whether the installed JVM runs on 32 bit or 64 bit windows version.

Refer the following link to identify what is the bit version installed JVM supports,

http://saravananmtech.wordpress.com/2014/08/13/how-to-identify-the-installed-jvm-is-32-bit-or-64-bit/

We get error message if the Java instance does not support the desired version.

Based on that, we can download the right eclipse bit version package.  I have identified that my JVM runs on 32 bit version. So I have downloaded the Eclipse’s windows 32-bit version package.  Finally, the issue has been resolved.  🙂

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: